
import { useTranslations } from "next-intl";
import {
  Components,
  DashBoard,
  Stacks2,
  Map,
  Grid,
  Files,
  ClipBoard,
  Flag,
  Book,
  Note,
  Sheild,
  Error,
} from "@/components/svg";
import DashboardIcon from '@mui/icons-material/Dashboard';
import AccountCircleIcon from '@mui/icons-material/AccountCircle';
import SettingsIcon from '@mui/icons-material/Settings';
import PaidIcon from '@mui/icons-material/Paid';
import NotificationsIcon from '@mui/icons-material/Notifications';
import NewspaperIcon from '@mui/icons-material/Newspaper';
import WalletIcon from '@mui/icons-material/Wallet';
import LockResetIcon from '@mui/icons-material/LockReset';
import FiberPinIcon from '@mui/icons-material/FiberPin';
import AdminPanelSettingsIcon from '@mui/icons-material/AdminPanelSettings';
import MailIcon from '@mui/icons-material/Mail';
import ContrastIcon from '@mui/icons-material/Contrast';
import AddIcon from '@mui/icons-material/Add';
import ListIcon from '@mui/icons-material/List';
import AccountBalanceIcon from '@mui/icons-material/AccountBalance';
import { Building, IndianRupee, IndianRupeeIcon, List, User } from "lucide-react";
import { PieChartSharp, PriceChange, RoomService, RoomServiceSharp } from "@mui/icons-material";


const Home = () => {

  const t = useTranslations("Menu");
  const profileLang = useTranslations("Profile");

  return {
    sidebarMA: {
      modern: [
        {
          title: t("Dashboard"),
          name: t("Dashboard"),
          icon: DashBoard,
          href: "/admin/dashboard",
          // child: [
          //   {
          //     title: t("Admin_Dashboard"),
          //     href: "/admin/dashboard",
          //     icon: DashboardIcon,
          //   },
          //   {
          //     title: t("Services_Dashboard"),
          //     href: "/admin/services",
          //     icon: DashboardIcon,
          //   },
          // ],
        },
        {
          title: t("My_Profile"),
          icon: AccountCircleIcon,
          child: [
            {
              title: t("Profile"),
              href: "/admin/profile",
              icon: AccountCircleIcon,
            },
            {
              title: t("Change_Mpin"),
              href: "/admin/set-new-mpin",
              icon: FiberPinIcon,
            },
            {
              title: t("Change_Password"),
              icon: LockResetIcon,
              href: "/admin/update-password",
            },

            {
              title: t("Web_Setting"),
              icon: SettingsIcon,
              href: "/admin/setting/theme-contact",
            },
            {
              title: profileLang("Upgrade_To_Pro"),
              icon: List,
              href: "/admin/plan-list/view",
            },
          ],
        },
        {
          title: t("Members"),
          icon: Components,
          child: [
            {
              title: t("Add_Member"),
              href: "/admin/members/add",
              icon: AdminPanelSettingsIcon,
            },
            {
              title: t("Master_Distributor"),
              href: "/admin/members/master-distributor",
              icon: AdminPanelSettingsIcon,
            },
            {
              title: t("Distributor"),
              icon: AdminPanelSettingsIcon,
              href: "/admin/members/distributor",
            },
            {
              title: t("Retailer"),
              icon: AdminPanelSettingsIcon,
              href: "/admin/members/retailer",
            },
            {
              title: t("Employee"),
              icon: AdminPanelSettingsIcon,
              href: "/admin/members/employee",
            },
          ],
        },
        {
          title: t("Setting"),
          icon: SettingsIcon,
          child: [

            {
              title: t("Set_Commission"),
              icon: IndianRupee,
              href: "/admin/plan/list",
            },
            {
              title: t("Ticket_Query_Setting"),
              icon: Note,
              href: "/admin/query/add",

            },

            {
              title: t("Web_Setting"),
              icon: SettingsIcon,
              href: "/admin/setting/theme-contact",
            },
            {
              title: t("Account_Details"),
              icon: Building,
              href: "/admin/setting/account-details",

            },
            {
              title: t("Set Plan Price"),
              icon: IndianRupee,
              href: "/admin/plan-price-set/list",

            },
            {
              title: t("Services_Setting"),
              icon: RoomServiceSharp,
              href: "/admin/setting/services/add",

            },
            {
              title: t("Beneficiary List"),
              icon: User,
              href: "/admin/beneficiary/list",

            },
            {
              title: t("Mobile_Slider"),
              icon: User,
              href: "/admin/slider/list",

            },
          ],
        },
        {
          title: t("Fund"),
          icon: IndianRupeeIcon,
          child: [
            // {
            //   title: 'Create Fund Request',
            //   icon: PaidIcon,
            //   href: "/admin/fund/add",
            // },
            {
              title: t("Fund_Request"),
              icon: IndianRupee,
              href: "/admin/fund/list",
            },
            {
              title: t("Add Fund"),
              icon: IndianRupee,
              href: "/admin/fund/fund-credit",
            },
            {
              title: t("Wallet Amount Capping"),
              icon: IndianRupee,
              href: "/admin/fund/wallet-capping",
            },
            {
              title: "Manual Payout",
              icon: IndianRupee,
              href: "/admin/manual-payout/list",
            },
          ],
        },


        {
          title: t("Ticket"),
          icon: ClipBoard,
          child: [
            {
              title: t("Create"),
              icon: ClipBoard,
              href: "/admin/ticket/create",
            },
            {
              title: t("Answered"),
              icon: ClipBoard,
              href: "/admin/ticket/list/answered",
            },
            {
              title: t("Re_Open"),
              icon: ClipBoard,
              href: "/admin/ticket/list/open",
            },
            {
              title: t("In_Progress"),
              icon: ClipBoard,
              href: "/admin/ticket/list/in-progress",
            },
            {
              title: t("Closed"),
              icon: ClipBoard,
              href: "/admin/ticket/list/closed",
            },
            {
              title: t("Pending_Verification"),
              icon: ClipBoard,
              href: "/admin/ticket/list/pending-verification",
            },
            {
              title: t("All_Tickets"),
              icon: ClipBoard,
              href: "/admin/ticket/list/all-tickets",
            },
          ],
        },
        {
          title: t("Account"),
          icon: WalletIcon,
          href: "/admin/wallets-history/list",
        },
        {
          title: t("Transaction"),
          icon: WalletIcon,
          child: [
            {
              title: t("All"),
              icon: Note,
              href: "/admin/transaction-history/list/all",
            },

            {
              title: t("Success"),
              icon: Note,
              href: "/admin/transaction-history/list/success",
            }, {
              title: t("Pending"),
              icon: Note,
              href: "/admin/transaction-history/list/pending",
            },
            {
              title: t("Failed"),
              icon: Note,
              href: "/admin/transaction-history/list/failed",
            },
            {
              title: t("Hold"),
              icon: Note,
              href: "/admin/transaction-history/list/hold",
            },
            {
              title: t("TDS"),
              icon: Note,
              href: "/admin/transaction-history/list/tds",
            },
            {
              title: t("GST"),
              icon: Note,
              href: "/admin/transaction-history/list/gst",
            },
          ],
        },
        {
          title: t("News"),
          icon: NewspaperIcon,
          child: [
            {
              title: t("Add"),
              icon: AddIcon,
              href: "/admin/news/add",
            },
            {
              title: t("List"),
              icon: ListIcon,
              href: "/admin/news/list",
            },
          ],
        },
        {
          title: t("Reports"),
          icon: PieChartSharp,
          child: [
            {
              title: t("Transaction_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=transaction",
            },

            {
              title: t("Monthly_GST_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=Monthly-GST",
            },
            {
              title: t("Monthly_TDS_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=Monthly-TDS",
            },

          ],
        },
      ],
    },
  };
};



export default Home;
